### Function

# Atspi EventListener deregister_from_callback

#### Declaration [src]

    gboolean
    atspi_event_listener_deregister_from_callback (
      AtspiEventListenerCB callback,
      void* user_data,
      const gchar* event_type,
      GError** error
    )

#### Description [src]

Deregisters an `AtspiEventListenerCB` from the registry, for a specific event type.

#### Parameters

`callback`

  Type: `AtspiEventListenerCB`

  The `AtspiEventListenerCB` registered against an event type.

`user_data`

  Type: `void*`

  User data that was passed in for this callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`event_type`

  Type: `const gchar*`

  A string specifying the event type for which this listener is to be deregistered.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, otherwise `FALSE`.